# Champ

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1781992023651704832) to try this widget and copy the Pro Config template.

## Usage

\<TODO: enter description here, and remove useless inputs>

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>reference_image</td><td><code>string</code></td><td>Provide an image of the champ. We can animate the character in the image to dance. We've found that using more realistic characters yields better results than using cartoon characters.</td><td></td><td>true</td></tr><tr><td>guidance</td><td><code>string</code></td><td>pre-defined dancing guidance.</td><td>motion-04</td><td>true</td></tr><tr><td>num_inference_steps</td><td><code>integer</code></td><td>inferenc step for inner diffusion.</td><td>20</td><td>false</td></tr><tr><td>guidance_scale</td><td><code>number</code></td><td>guidance scale hyper-parameter for generation. A larger scale indicates stronger guidance.</td><td>3.5</td><td>false</td></tr></tbody></table>

**Output Parameters**

| Name | Type     | Description                                                                                                              | File Type |
| ---- | -------- | ------------------------------------------------------------------------------------------------------------------------ | --------- |
| url  | `string` | The video that was generated has been saved as an online URL. This link is temporary, so please save it for your own use | `video`   |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{ // input https://image.myshell.ai/image/chat/embed_obj/40295/20240423/018fb86564684efeb2577a99c154baed.jpg
   "url": "https://cdn.myshell.ai/video/chat/embed_obj/40295/20240423/a932c38992d842c9a791fc62774d366d.mp4"
}
```

{% endcode %}
{% endtab %}

{% tab title="fail" %}
{% code fullWidth="false" %}

```json
Http error
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Detailed Guidelines


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/create/pro-config-mode/api-reference/widgets/10-champ.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
